Summary: SGPIO captive backplane tool
Name: sgpio
Version: 1.2.0_10
Release: 2%{?dist}
License: GPLv2+
Group: System Environment/Base
URL: http://sources.redhat.com/lvm2/wiki/DMRAID_Eventing
Source: sgpio-1.2-0.10-src.tar.gz
#Source: http://sources.redhat.com/lvm2/wiki/DMRAID_Eventing?action=AttachFile&do=get&target=sgpio-1.2.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Patch0: sgpio-1.2-makefile.patch
BuildRequires: dos2unix

%description
Intel SGPIO enclosure management utility
This package contains (part of) a Technology Preview for 
Application for AHCI driver with SGPIO support.
Please visit http://www.redhat.com/support/service/ for details on the 
Red Hat support policies. 

%prep
%setup -q -n sgpio
%patch0 -p1 -b .makefile

%build
#@@@ workaround for #474755 - remove with next update
make clean
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
chmod a-x *
dos2unix --keepdate README
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT SBIN_DIR=$RPM_BUILD_ROOT/sbin MANDIR=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc README
/sbin/sgpio
%{_mandir}/man1/sgpio.*

%changelog
* Wed Dec 10 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.2.0_10-2
- added make clean to build
- Resolves: #474755

* Fri Nov 28 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.2.0_10-1
- new version
- Resolves: #437187

* Fri Oct 31 2008 Jiri Moskovcak <jmoskovc@redhat.com> 1.2-2
- modified description in spec file
- Resolves: #437187

* Mon Oct 20 2008  Jiri Moskovcak <jmoskovc@redhat.com> 1.2-1
Initial RHEL5 release

